<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


$menu_classes = 'main-menu';
$menu_location = apply_filters( 'kirhero_main_menu_location', 'main_menu' );
// Menu arguments
$menu_args = array(
	'theme_location' => $menu_location,
	'container'      => false,
	'fallback_cb'    => false,
);


if ( has_nav_menu( $menu_location ) ) : ?>


	<div id="mobile-sider" class="mobile-sider"<?php kirhero_schema_markup_echo( 'site_navigation' ); ?>>
			
		
		<a href="#" class="sidr-class-toggle-sidr-close">
			<i class="fa fa-times-circle-o" aria-hidden="true"></i><span class="sidr-class-close-text"><?php echo esc_html__( 'Close Menu', 'orionwp' ); ?></span>
		</a>
		
	
			<?php
			// Navigation
			wp_nav_menu( $menu_args );
			?>
			<!-- .mobile-menu-search -->
			<div id="mobile-menu-search" class="mobile-menu-search" >
				<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="mobile-searchform">
					<input type="search" name="s" autocomplete="off" placeholder="<?php echo esc_attr( apply_filters( 'kirhero_mobile_searchform_placeholder', __( 'Search', 'orionwp' ) ) ); ?>" />
					<button type="submit" class="searchform-submit">
						<i class="fa fa-icon-magnifier" aria-hidden="true"></i>
					</button>
					<?php if ( 'any' != $post_type ) { ?>
						<input type="hidden" name="post_type" value="<?php echo esc_attr( $post_type ); ?>">
					<?php } ?>
				</form>
			</div><!-- .mobile-menu-search -->
			
	
	</div>

<?php endif; ?>