<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 

// Get posts format
$format = get_post_format();

// Get elements
$elements = kirhero_blog_single_elements_positioning();

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
		
	// Loop through elements
	foreach ( $elements as $element ) 
	{
		// Featured Image
		if ( 'featured_image' == $element
			&& ! post_password_required() ) 
		{

			$format = $format ? $format : 'thumbnail';
			get_template_part( 'template-parts/single/media/single', $format );
		}
		// Title
		if ( 'title' == $element ) 
		{

			get_template_part( 'template-parts/single/header' );

		}
		// Meta
		if ( 'meta' == $element ) 
		{
			get_template_part( 'template-parts/single/meta' );
		}
		// Content
		if ( 'content' == $element ) 
		{
			get_template_part( 'template-parts/single/content' );
		}
		// Tags
		if ( 'tags' == $element ) 
		{
			get_template_part( 'template-parts/single/tags' );
		}
		// Next/Prev
		if ( 'next_prev' == $element ) 
		{
			get_template_part( 'template-parts/single/next-prev' );
		}
		// Author Box
		if ( 'author_box' == $element ) 
		{
			get_template_part( 'template-parts/single/author' );
		}
		// Related Posts
		if ( 'related_posts' == $element ) 
		{
			get_template_part( 'template-parts/single/related' );
		}
		// Comments
		if ( 'single_comments' == $element ) 
		{
			comments_template();
		}

	} ?>

</article>