<?php
	
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Return if there isn't a thumbnail defined
if ( ! has_post_thumbnail() ) {
	return;
}

// Image args
$img_args = array(
    'alt' => get_the_title(),
);

// Caption
$caption = get_the_post_thumbnail_caption(); 

//
$current_size_img = array(
			'extra_small' => 'slider_blank_img_extra_small.gif',
			'small'  => 'slider_blank_img_small.gif',
			'medium' => 'slider_blank_img_medium.gif',
			'large'  => 'slider_blank_img_large.gif',
			'full'  => 'full'
			);

//get size 
$size = get_theme_mod( 'kirhero_blog_page_featured_image_size', kirhero_get_default_theme_settings( 'blog-page-single-featured-size' ) );

//get attachment 
$page_featured_img_attachment = get_theme_mod( 'kirhero_blog_page_featured_image_attachment', '');

$css = '';

if( !empty( $page_featured_img_attachment ) )
{
	
	$css = 'background-attachment:'.$page_featured_img_attachment.';';
}


//get img 
$image_id = get_post_thumbnail_id();
$thumbnail = wp_get_attachment_image_src( $image_id, 'full');

$img_link = get_template_directory_uri() . '/assets/img/'.$current_size_img[$size];

$image_full_width = get_theme_mod( 'kirhero_blog_page_featured_image_full', kirhero_get_default_theme_settings( 'blog-page-single-featured-full' ) );


?>

<div <?php if ( ! $image_full_width ) { ?> class="wrap" <?php } ?>>
	<?php if ($size !== 'full') { ?>
		<div class="thumbnail-link-banner" style="background-image: url(<?php echo esc_attr($thumbnail['0']) ?>);<?php echo esc_attr($css) ?>">
			<img src="<?php echo esc_url($img_link) ?>">
		</div><!-- .thumbnail -->
	<?php } else { ?>
	<div class="thumbnail-link" style=";margin-bottom: 15px;">
		<?php the_post_thumbnail( 'full', $img_args ); ?>
	</div><!-- .thumbnail -->	
	<?php } ?>
</div>

